Package io.axoniq.dataprotection.serialization.xml

## Class CompactDriver

- java.lang.Object
- - io.axoniq.dataprotection.serialization.xml.CompactDriver

- All Implemented Interfaces:
    `com.thoughtworks.xstream.io.HierarchicalStreamDriver`

      public class CompactDriver
      extends Object
      implements com.thoughtworks.xstream.io.HierarchicalStreamDriver

  XStream HierarchicalStreamDriver implementation that uses a CompactWriter to write XML without newlines and indentation, while writing it using the (default) XPPReader. Note: this implementation does not support writing to an OutputStream, due to potential Character Set issues. Always write to a text based output stream, such as the `OutputStreamWriter`.
  Since:
    2.0
  Author:
    Allard Buijze

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompactDriver()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `com.thoughtworks.xstream.io.HierarchicalStreamReader` | `createReader​(File in)` |
    `com.thoughtworks.xstream.io.HierarchicalStreamReader` | `createReader​(InputStream in)` |
    `com.thoughtworks.xstream.io.HierarchicalStreamReader` | `createReader​(Reader in)` |
    `com.thoughtworks.xstream.io.HierarchicalStreamReader` | `createReader​(URL in)` |
    `com.thoughtworks.xstream.io.HierarchicalStreamWriter` | `createWriter​(OutputStream out)` |
    `com.thoughtworks.xstream.io.HierarchicalStreamWriter` | `createWriter​(Writer out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompactDriver

          public CompactDriver()

  - ### Method Detail

    - #### createReader

          public com.thoughtworks.xstream.io.HierarchicalStreamReader createReader​(Reader in)

      Specified by:
        `createReader` in interface `com.thoughtworks.xstream.io.HierarchicalStreamDriver`

    - #### createReader

          public com.thoughtworks.xstream.io.HierarchicalStreamReader createReader​(InputStream in)

      Specified by:
        `createReader` in interface `com.thoughtworks.xstream.io.HierarchicalStreamDriver`

    - #### createReader

          public com.thoughtworks.xstream.io.HierarchicalStreamReader createReader​(URL in)

      Specified by:
        `createReader` in interface `com.thoughtworks.xstream.io.HierarchicalStreamDriver`

    - #### createReader

          public com.thoughtworks.xstream.io.HierarchicalStreamReader createReader​(File in)

      Specified by:
        `createReader` in interface `com.thoughtworks.xstream.io.HierarchicalStreamDriver`

    - #### createWriter

          public com.thoughtworks.xstream.io.HierarchicalStreamWriter createWriter​(Writer out)

      Specified by:
        `createWriter` in interface `com.thoughtworks.xstream.io.HierarchicalStreamDriver`

    - #### createWriter

          public com.thoughtworks.xstream.io.HierarchicalStreamWriter createWriter​(OutputStream out)

      Specified by:
        `createWriter` in interface `com.thoughtworks.xstream.io.HierarchicalStreamDriver`